# pingdom – Pause/unpause Pingdom alerts

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module will let you pause/unpause Pingdom alerts

## Requirements

The below requirements are needed on the host that executes this module.

- This pingdom python library: https://github.com/mbabineau/pingdom-python

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
checkid - / required |  | Pingdom ID of the check.
key - / required |  | Pingdom API key.
passwd - / required |  | Pingdom user password.

state
- / required

Choices:
- running
- paused

Define whether or not the check should be running or paused.

uid - / required |  | Pingdom user ID.

## Notes

Note

- This module does not yet have support to add/remove checks.

## Examples

    # Pause the check with the ID of 12345.
    - pingdom:
        uid: example@example.com
        passwd: password123
        key: apipassword123
        checkid: 12345
        state: paused

    # Unpause the check with the ID of 12345.
    - pingdom:
        uid: example@example.com
        passwd: password123
        key: apipassword123
        checkid: 12345
        state: running

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Dylan Silva (@thaumos)

- Justin Johns (!UNKNOWN)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.